「MediaWiki:Mobile.css」の版間の差分

編集の要約なし
Fr49iJd2 (トーク | 投稿記録)
編集の要約なし
 
(他の1人の利用者による、間の57版が非表示)
1行目: 1行目:
/* ここに記述したCSSは携帯機器版サイトの利用者に影響します */
/* ここに記述したCSSは携帯機器版サイトの利用者に影響します */
/*
/*
.header {
/* ここに記述したCSSは携帯機器版サイトの利用者に影響します */
background:#2DB400;
 
/* The message body cell(s), such as for {{Commonscat}}.
* this is a very small subset of the styles from Common.css
* just to make sure the box isn't squashed without any spacing
* which looks out of place with visuals of other nearby elements
*/
.mbox-text {
/* @noflip */
padding: 0.25em 0.9em;
}
}


.topbar { background-color: #2DB400;  
/* Style for horizontal lists (separator following item).
  @source mediawiki.org/wiki/Snippets/Horizontal_lists
  @revision 9 (2016-08-10)
  @author [[User:Edokter]]
*/
.mw-parser-output .hlist dl,
.mw-parser-output .hlist ol,
.mw-parser-output .hlist ul {
margin: 0;
padding: 0;
}
}
*/
/* Display list items inline */
 
.mw-parser-output .hlist li {
#siteNotice,
margin: 0;
footer .footer-content {
display: inline;
}
/* reset hlist margins of Minerva
do not add li here (see T235416) */
.mw-parser-output .hlist dd,
.mw-parser-output .hlist dt {
margin-right: 0 !important;
display: inline;
}
/* Display nested lists inline */
.mw-parser-output .hlist.inline,
.mw-parser-output .hlist.inline dl,
.mw-parser-output .hlist.inline ol,
.mw-parser-output .hlist.inline ul,
.mw-parser-output .hlist dl dl, .mw-parser-output .hlist dl ol, .mw-parser-output .hlist dl ul,
.mw-parser-output .hlist ol dl, .mw-parser-output .hlist ol ol, .mw-parser-output .hlist ol ul,
.mw-parser-output .hlist ul dl, .mw-parser-output .hlist ul ol, .mw-parser-output .hlist ul ul {
display: inline;
}
/* Hide empty list items */
.hlist .mw-empty-li,
.hlist .mw-empty-elt {
display: none;
display: none;
}
}
body {
/* Generate interpuncts */
color: #fff;
.mw-parser-output .hlist dt:after {
content: ":";
}
.mw-parser-output .hlist dd:after,
.mw-parser-output .hlist li:after {
content: " ·" !important;
font-weight: bold;
padding-left: 0px;
}
}
a {
.mw-parser-output .hlist dd:last-child:after,
color: #7ca0e8;
.mw-parser-output .hlist dt:last-child:after,
.mw-parser-output .hlist li:last-child:after {
content: none !important;
}
}
body,
/* Add parentheses around nested lists */
.header-container.header-chrome,
.mw-parser-output .hlist dd dd:first-child:before, .mw-parser-output .hlist dd dt:first-child:before, .mw-parser-output .hlist dd li:first-child:before,
#content,
.mw-parser-output .hlist dt dd:first-child:before, .mw-parser-output .hlist dt dt:first-child:before, .mw-parser-output .hlist dt li:first-child:before,
footer,
.mw-parser-output .hlist li dd:first-child:before, .mw-parser-output .hlist li dt:first-child:before, .mw-parser-output .hlist li li:first-child:before {
.content table.infobox,
content: "(" !important;
.mw-highlight,
font-weight: normal;
.navbox,
.navbox-subgroup {
background-color: #222;
}
}
#mw-script-doc {
.mw-parser-output .hlist dd dd:last-child:after, .mw-parser-output .hlist dd dt:last-child:after, .mw-parser-output .hlist dd li:last-child:after,
background-color: #222 !important;
.mw-parser-output .hlist dt dd:last-child:after, .mw-parser-output .hlist dt dt:last-child:after, .mw-parser-output .hlist dt li:last-child:after,
.mw-parser-output .hlist li dd:last-child:after, .mw-parser-output .hlist li dt:last-child:after, .mw-parser-output .hlist li li:last-child:after {
content: ")" !important;
font-weight: normal;
}
}
.header-container.header-chrome {
/* Put ordinals in front of ordered list items */
color: #eaecf0;
.mw-parser-output .hlist ol {
counter-reset: listitem;
}
}
.hatnote,
.mw-parser-output .hlist ol > li {
.dablink,
counter-increment: listitem;
.rellink,
.content table.infobox,
.client-js .toc-mobile,
#toc,
.search-box .search,
.content kbd,
.content samp,
.content code,
.content pre,
footer .last-modified-bar,
.navbox th, .navbox-title,
.navbox-abovebelow,
th.navbox-group,
.navbox-subgroup .navbox-title,
.navbox-even,
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
color: #f8f9fa;
background-color: #343739;
border-color: #343739;
}
}
#toc {
.mw-parser-output .hlist ol > li:before {
border: 0;
content: " " counter(listitem) ".\a0";
}
}
table.fmbox-warning {
.mw-parser-output .hlist dd ol > li:first-child:before,
background-color: #794747;
.mw-parser-output .hlist dt ol > li:first-child:before,
.mw-parser-output .hlist li ol > li:first-child:before {
content: " (" counter(listitem) "\a0";
}
/* 日本語版の独自仕様。-pipe、-hyphen、-comma、-slash */
.mw-parser-output .hlist-pipe dd:after,
.mw-parser-output .hlist-pipe li:after {
content: " |" !important;
font-weight: normal;
}
.mw-parser-output .hlist-hyphen dd:after,
.mw-parser-output .hlist-hyphen li:after {
content: " -" !important;
font-weight: normal;
}
.mw-parser-output .hlist-comma dd:after,
.mw-parser-output .hlist-comma li:after {
content: "、" !important;
font-weight: normal;
}
.mw-parser-output .hlist-slash dd:after,
.mw-parser-output .hlist-slash li:after {
content: " /" !important;
font-weight: normal;
}
/* Unbulleted lists */
.plainlist ol,
.plainlist ul {
list-style: none none;
padding-left: 0; /* Reset Minerva defaults */
}
.plainlist ol li,
.plainlist ul li {
margin-bottom: 0;
}
 
/* 表が縦に長くなるのを防ぐ */
.wikitable, .tracklist {
overflow-wrap: break-word;
word-wrap: break-word;
word-break: keep-all;
}
 
/* [[MediaWiki‐ノート:Common.css#Template:Math関連の更新提案]]
  Generic class texhtml class for inline math */
span.texhtml {
font-family: serif;
white-space: nowrap;
}
 
/* Hide broken download box on [[Special:Book]] pending [[phab:T285400]] */
.mw-special-Book #coll-downloadbox {
display: none;
}
}

2023年4月1日 (土) 22:44時点における最新版

/* ここに記述したCSSは携帯機器版サイトの利用者に影響します */
/*
/* ここに記述したCSSは携帯機器版サイトの利用者に影響します */

/* The message body cell(s), such as for {{Commonscat}}.
 * this is a very small subset of the styles from Common.css
 * just to make sure the box isn't squashed without any spacing
 * which looks out of place with visuals of other nearby elements
 */
.mbox-text {
	/* @noflip */
	padding: 0.25em 0.9em;
}

/* Style for horizontal lists (separator following item).
   @source mediawiki.org/wiki/Snippets/Horizontal_lists
   @revision 9 (2016-08-10)
   @author [[User:Edokter]]
 */
.mw-parser-output .hlist dl,
.mw-parser-output .hlist ol,
.mw-parser-output .hlist ul {
	margin: 0;
	padding: 0;
}
/* Display list items inline */
.mw-parser-output .hlist li {
	margin: 0;
	display: inline;
}
/* reset hlist margins of Minerva
do not add li here (see T235416) */
.mw-parser-output .hlist dd,
.mw-parser-output .hlist dt {
	margin-right: 0 !important;
	display: inline;
}
/* Display nested lists inline */
.mw-parser-output .hlist.inline,
.mw-parser-output .hlist.inline dl,
.mw-parser-output .hlist.inline ol,
.mw-parser-output .hlist.inline ul,
.mw-parser-output .hlist dl dl, .mw-parser-output .hlist dl ol, .mw-parser-output .hlist dl ul,
.mw-parser-output .hlist ol dl, .mw-parser-output .hlist ol ol, .mw-parser-output .hlist ol ul,
.mw-parser-output .hlist ul dl, .mw-parser-output .hlist ul ol, .mw-parser-output .hlist ul ul {
	display: inline;
}
/* Hide empty list items */
.hlist .mw-empty-li,
.hlist .mw-empty-elt {
	display: none;
}
/* Generate interpuncts */
.mw-parser-output .hlist dt:after {
	content: ":";
}
.mw-parser-output .hlist dd:after,
.mw-parser-output .hlist li:after {
	content: " ·" !important;
	font-weight: bold;
	padding-left: 0px;
}
.mw-parser-output .hlist dd:last-child:after,
.mw-parser-output .hlist dt:last-child:after,
.mw-parser-output .hlist li:last-child:after {
	content: none !important;
}
/* Add parentheses around nested lists */
.mw-parser-output .hlist dd dd:first-child:before, .mw-parser-output .hlist dd dt:first-child:before, .mw-parser-output .hlist dd li:first-child:before,
.mw-parser-output .hlist dt dd:first-child:before, .mw-parser-output .hlist dt dt:first-child:before, .mw-parser-output .hlist dt li:first-child:before,
.mw-parser-output .hlist li dd:first-child:before, .mw-parser-output .hlist li dt:first-child:before, .mw-parser-output .hlist li li:first-child:before {
	content: "(" !important;
	font-weight: normal;
}
.mw-parser-output .hlist dd dd:last-child:after, .mw-parser-output .hlist dd dt:last-child:after, .mw-parser-output .hlist dd li:last-child:after,
.mw-parser-output .hlist dt dd:last-child:after, .mw-parser-output .hlist dt dt:last-child:after, .mw-parser-output .hlist dt li:last-child:after,
.mw-parser-output .hlist li dd:last-child:after, .mw-parser-output .hlist li dt:last-child:after, .mw-parser-output .hlist li li:last-child:after {
	content: ")" !important;
	font-weight: normal;
}
/* Put ordinals in front of ordered list items */
.mw-parser-output .hlist ol {
	counter-reset: listitem;
}
.mw-parser-output .hlist ol > li {
	counter-increment: listitem;
}
.mw-parser-output .hlist ol > li:before {
	content: " " counter(listitem) ".\a0";
}
.mw-parser-output .hlist dd ol > li:first-child:before,
.mw-parser-output .hlist dt ol > li:first-child:before,
.mw-parser-output .hlist li ol > li:first-child:before {
	content: " (" counter(listitem) "\a0";
}
/* 日本語版の独自仕様。-pipe、-hyphen、-comma、-slash */
.mw-parser-output .hlist-pipe dd:after,
.mw-parser-output .hlist-pipe li:after {
	content: " |" !important;
	font-weight: normal;
}
.mw-parser-output .hlist-hyphen dd:after,
.mw-parser-output .hlist-hyphen li:after {
	content: " -" !important;
	font-weight: normal;
}
.mw-parser-output .hlist-comma dd:after,
.mw-parser-output .hlist-comma li:after {
	content: "、" !important;
	font-weight: normal;
}
.mw-parser-output .hlist-slash dd:after,
.mw-parser-output .hlist-slash li:after {
	content: " /" !important;
	font-weight: normal;
}
/* Unbulleted lists */
.plainlist ol,
.plainlist ul {
	list-style: none none;
	padding-left: 0; /* Reset Minerva defaults */
}
.plainlist ol li,
.plainlist ul li {
	margin-bottom: 0;
}

/* 表が縦に長くなるのを防ぐ */
.wikitable, .tracklist {
	overflow-wrap: break-word;
	word-wrap: break-word;
	word-break: keep-all;
}

/* [[MediaWiki‐ノート:Common.css#Template:Math関連の更新提案]]
   Generic class texhtml class for inline math */
span.texhtml {
	font-family: serif;
	white-space: nowrap;
}

/* Hide broken download box on [[Special:Book]] pending [[phab:T285400]] */
.mw-special-Book #coll-downloadbox {
	display: none;
}